QGIS crash when opening a layout

2018-04-19 11:34 AM - Marjorie FANGAIN

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26653

Description

Hi,

I've started to use QGIS 3.0.1 since last week. I've created the project with QGIS 2.18. There are about 50 layers, and 1 complex

composer (an atlas of 7 pages, with several data tables and maps).

When opening the composer with QGIS 3.0.1, all data tables were deleted. I created them again without problem.

But since 2 days, QGIS crashes as soon as I try to display the composer.

Here is the report :

@h2. User Feedback

Report Details

Crash ID: 80f74d3842eed96c9436b0bcbc4da9aedd85c4de

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::offsetCurve :

QgsGeometry::offsetCurve :

QgsSymbolLayerUtils::needSvgMarker :

QgsSimpleLineSymbolLayer::renderPolyline :

QgsLineSymbol::renderPolylineUsingLayer :

QgsLineSymbol::renderPolyline :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeatureWithSymbol :

QgsRuleBasedRenderer::stopRender :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsRenderContext::segmentationToleranceType :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

@

DebugView display this error :

[4144] Warning: QWindowsWindow::setGeometry: Unable to set geometry 19x19+830+493 on

QWidgetWindow/'QWidgetClassWindow'. Resulting geometry:  104x19+830+493 (frame: 4, 23, 4, 4, custom margin: 0, 0, 0, 0, minimum

size: 19x19, maximum size: 19x19).

[4144] Warning: GEOS exception: TopologyException: assigned depths do not match at -2.9954010407285003 66.900444868572635

Thanks.

History

#1 - 2018-04-19 12:04 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Can you please attach the crashing project with some (minimal) test data?

#2 - 2018-04-19 01:57 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #14752

#3 - 2018-04-19 03:52 PM - Marjorie FANGAIN

- Status changed from Closed to Reopened

Nyall Dawson wrote:

Duplicate of #14752

Hi,

I'm sorry, but it seems that the 2 problems are quit different, no?

However I'd tried to unselect "Discourage labels from covering features", and then fully unable labels on all the layers of the project, but the problem still

occurs.

@Alessandro

I don't know how send some test data : some data are in a postgre database, and there are many shp files. I'd tried "GPackage" extension, but it doesn't

modify the project (path and provider mainly). I can send qgs file alone, and/or pdf file exported by the composer from QGIS 2.18, if it can 

help...?
Thank you.

#4 - 2018-04-19 10:18 PM - Nyall Dawson

- Status changed from Reopened to Closed

It's the same underlying cause - an instability in the geos library on windows. When one is fixed the other will also be fixed.

#5 - 2018-04-20 08:45 AM - Marjorie FANGAIN

Nyall Dawson wrote:

It's the same underlying cause - an instability in the geos library on windows. When one is fixed the other will also be fixed.

Ok, thank you for your answer.

I don't really understand, because it was working without problem and all of a sudden I couldn't open my layout. I don't know why, and I don't know what to

do to get back...

Have a nice day!
